 drivers/pci/probe.c |    2 +-
 include/linux/pci.h |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/pci/probe.c~ppc64-pci-update drivers/pci/probe.c
--- 25/drivers/pci/probe.c~ppc64-pci-update	2003-06-12 03:31:26.000000000 -0700
+++ 25-akpm/drivers/pci/probe.c	2003-06-12 03:31:26.000000000 -0700
@@ -173,7 +173,7 @@ void __devinit pci_read_bridge_bases(str
 		limit |= (io_limit_hi << 16);
 	}
 
-	if (base && base <= limit) {
+	if (base <= limit) {
 		res->flags = (io_base_lo & PCI_IO_RANGE_TYPE_MASK) | IORESOURCE_IO;
 		res->start = base;
 		res->end = limit + 0xfff;
diff -puN include/linux/pci.h~ppc64-pci-update include/linux/pci.h
--- 25/include/linux/pci.h~ppc64-pci-update	2003-06-12 03:31:26.000000000 -0700
+++ 25-akpm/include/linux/pci.h	2003-06-12 03:31:26.000000000 -0700
@@ -414,7 +414,7 @@ struct pci_dev {
 	struct resource dma_resource[DEVICE_COUNT_DMA];
 	struct resource irq_resource[DEVICE_COUNT_IRQ];
 
-	char		slot_name[8];	/* slot name */
+	char		slot_name[12];	/* slot name */
 
 	/* These fields are used by common fixups */
 	unsigned int	transparent:1;	/* Transparent PCI bridge */
@@ -456,10 +456,10 @@ struct pci_bus {
 	void		*sysdata;	/* hook for sys-specific extension */
 	struct proc_dir_entry *procdir;	/* directory entry in /proc/bus/pci */
 
-	unsigned char	number;		/* bus number */
-	unsigned char	primary;	/* number of primary bridge */
-	unsigned char	secondary;	/* number of secondary bridge */
-	unsigned char	subordinate;	/* max number of subordinate buses */
+	unsigned int	number;		/* bus number */
+	unsigned int	primary;	/* number of primary bridge */
+	unsigned int	secondary;	/* number of secondary bridge */
+	unsigned int	subordinate;	/* max number of subordinate buses */
 
 	char		name[48];
 

_
